cURL
curl --request GET \
--url https://api.statista.ai/v1/search/market-insights/indicators \
--header 'x-api-key: <api-key>'import requests
url = "https://api.statista.ai/v1/search/market-insights/indicators"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.statista.ai/v1/search/market-insights/indicators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"identifier": "<string>",
"title": "<string>",
"subject": "<string>",
"description": "<string>",
"link": "<string>",
"updated_at": "<string>",
"industries": [
{
"name": "<string>",
"segments": [
"<string>"
]
}
],
"covered_timeframe": {
"start": "<string>",
"end": "<string>"
},
"covered_geos": {},
"market_type": "<string>",
"market_type_description": "<string>"
}
],
"total_count": 123
}Market Insights
Search
GET
/
v1
/
search
/
market-insights
/
indicators
cURL
Semantically search Market Insights indicators using natural language or keywords.
Authorizations
Query Parameters
The query string to search for.
Required string length:
1 - 1000The maximum number of search results returned.
Required range:
1 <= x <= 25Was this page helpful?
⌘I